#!/bin/bash

set -e
set -x

for i in shaders/src/*; do
    filename=$(basename $i)
    basename=$(printf $filename | cut -d. -f1)
    ext=$(printf $filename | cut -d. -f3)
    glslc "$i" -o shaders/${basename}.spv.${ext}
done
# glslc shader.glsl.vert -o shader.spv.vert
# glslc shader.glsl.frag -o shader.spv.frag

odin build src -debug -out:sdlgpu

./sdlgpu
