#version 460

layout(set=1, binding=0) uniform UBO {
    mat4 mvp;
};

layout(location=0) in vec3 position;
layout(location=1) in vec3 color;

layout(location=0) out vec3 out_color;

void main() {
    gl_Position = mvp * vec4(position, 1);
    out_color = color;
}

